Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.announcements.controls
Interface AnnouncementsControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.announcements.Announcement>, ContentControlBase<com.bea.apps.groupspace.announcements.Announcement,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.announcements.Announcement>, Serializable

    public interface AnnouncementsControl

extends CM_Control<com.bea.apps.groupspace.announcements.Announcement>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.announcements.Announcement` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, Calendar expiration, String messageBody)` Creates an announcement with the effective date of the announcement being set to the current time.
`com.bea.apps.groupspace.announcements.Announcement` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String severity, Calendar expiration, String messageBody, com.bea.content.ID parentId)` Creates an announcement with the effective date of the announcement being set to the current time.
`com.bea.apps.groupspace.announcements.Announcement` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String severity, String attachment, String addressTo, Calendar effective, Calendar expiration, String messageBody, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes)` Creates an announcement.
`com.bea.apps.groupspace.announcements.Announcement` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String severity, String attachment, String addressTo, Calendar effective, Calendar expiration, String messageBody, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`Set<com.bea.apps.groupspace.announcements.Announcement>` | `getEffectiveAnnouncements()` Returns the set of announcements that are: Currently in effect Apply to the currently logged in user.
`com.bea.p13n.pagination.SortableFilterablePagedResult` | `getEffectiveAnnouncementsAsPagedResult(com.bea.content.expression.SortCriteria[] sortCriteria)` Returns the set of announcements that are: Currently in effect Apply to the currently logged in user.
`String` | `getMessageBody(com.bea.apps.groupspace.announcements.Announcement announcement)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.announcements.Announcement create(String title,
                                                              String description,
                                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                              Calendar expiration,
                                                              String messageBody)
                                                              throws Exception

  Creates an announcement with the effective date of the announcement being set to the current time. The parent node will be set to the default node ID (as defined in CommunityContent). The severity of the announcement will be set to NORMAL. The remaining items will be set to null:
  - attachment
  - addressTo
  - relatedNodes

  Parameters
    `title` - Title of the announcement (or subject)
    `description` - A lengthy description of the announcment.
    `visibility` - Visibility (Community, personal, private)
    `expiration` - Expiration date of announcement.
  Returns
    An Announcement object if successful.
  Throws
    `Exception`

### create

    com.bea.apps.groupspace.announcements.Announcement create(String title,
                                                              String description,
                                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                              String severity,
                                                              Calendar expiration,
                                                              String messageBody,
                                                              com.bea.content.ID parentId)
                                                              throws Exception

  Creates an announcement with the effective date of the announcement being set to the current time. The remaining items will be set to null:
  - attachment
  - addressTo
  - relatedNodes

  Parameters
    `title` - Title of the announcement (or subject)
    `description` - A lengthy description of the announcment.
    `visibility` - Visibility (Community, personal, private)
    `severity` - The severity of the announcement.
    `expiration` - Expiration date of announcement.
    `parentId` - The parent node ID
  Returns
    An Announcement object if successful.
  Throws
    `Exception`

### create

    com.bea.apps.groupspace.announcements.Announcement create(String title,
                                                              String description,
                                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                              String severity,
                                                              String attachment,
                                                              String addressTo,
                                                              Calendar effective,
                                                              Calendar expiration,
                                                              String messageBody,
                                                              com.bea.content.ID parentId,
                                                              com.bea.content.ID[] relatedNodes)
                                                              throws Exception

  Creates an announcement.

  Parameters
    `title` - Title of the announcement (or subject)
    `description` - A lengthy description of the announcment.
    `visibility` - Visibility (Community, personal, private)
    `attachment` - TODO
    `addressTo` - If the visibility is community, this can be one of the roles defined as membership capability.
    `effective` - Effective date of announcement.
    `expiration` - Expiration date of announcement.
    `parentId` - The parent node ID
    `relatedNodes` - TODO
  Returns
    AnAnnouncement object if successful.
  Throws
    `Exception`

### create

    com.bea.apps.groupspace.announcements.Announcement create(String title,
                                                              String description,
                                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                              String severity,
                                                              String attachment,
                                                              String addressTo,
                                                              Calendar effective,
                                                              Calendar expiration,
                                                              String messageBody,
                                                              com.bea.content.ID parentId,
                                                              com.bea.content.ID[] relatedNodes,
                                                              Set<CmxControl.PropertyPair> dynamicProps)
                                                              throws Exception

  Throws
    `Exception`

### getEffectiveAnnouncements

    Set<com.bea.apps.groupspace.announcements.Announcement> getEffectiveAnnouncements()
                                                                                      throws com.bea.content.AuthorizationException,
                                                                                             com.bea.content.NoSuchNodeException,
                                                                                             com.bea.content.RepositoryException

  Returns the set of announcements that are:
  1. Currently in effect
  2. Apply to the currently logged in user.

  Returns
    A paired down set of announcements based on the above criteria.
  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getEffectiveAnnouncementsAsPagedResult

    com.bea.p13n.pagination.SortableFilterablePagedResult getEffectiveAnnouncementsAsPagedResult(com.bea.content.expression.SortCriteria[] sortCriteria)
                                                                                                 throws com.bea.content.AuthorizationException,
                                                                                                        com.bea.content.NoSuchNodeException,
                                                                                                        com.bea.content.RepositoryException

  Returns the set of announcements that are:
  1. Currently in effect
  2. Apply to the currently logged in user.

  Returns
    A SortableFilterablePagedResult collection based on the above criteria.
  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getMessageBody

    String getMessageBody(com.bea.apps.groupspace.announcements.Announcement announcement)
                          throws com.bea.content.RepositoryException,
                                 com.bea.content.AuthorizationException

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved